Bug 621698 - gpgme-1.2.x: failed builds due to gpgme-config --cflags missing -D_FILE_OFFSET_BITS (and friends) on i686
gpgme-1.2.x: failed builds due to gpgme-config --cflags missing -D_FILE_OFFSE...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gpgme (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 620104
  Show dependency treegraph
 
Reported: 2010-08-05 16:46 EDT by Karol Trzcionka
Modified: 2010-08-23 21:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: gpgme-1.2.0-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karol Trzcionka 2010-08-05 16:46:48 EDT
Description of problem:
There is in /usr/include/gpgme.h the requirement to set _FILE_OFFSET_BITS = 64 (see 80th line of gpgme.h). I think `gpgme-config --cflags` should return it.

Version-Release number of selected component (if applicable):
1.2.0-1.fc14.i686

How reproducible:
Always
  
Actual results:
Error while compiling

Expected results:
Correct build (e.g. gpgme-config should returns "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS = 64").
Comment 1 Rex Dieter 2010-08-05 17:00:30 EDT
Thanks.

adjusting summary.
Comment 2 Orcan Ogetbil 2010-08-11 13:11:20 EDT
Ping?

FYI, this blocks our python-2.7 rebuilds.
Comment 3 Tomas Mraz 2010-08-11 14:28:53 EDT
-D_FILE_OFFSET_BITS=64 should be enough.
Comment 4 Fedora Update System 2010-08-11 14:59:33 EDT
gpgme-1.2.0-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/gpgme-1.2.0-2.fc14
Comment 5 Fedora Update System 2010-08-12 15:45:41 EDT
gpgme-1.2.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpgme'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gpgme-1.2.0-2.fc14
Comment 6 Fedora Update System 2010-08-18 15:52:06 EDT
gpgme-1.2.0-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpgme'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gpgme-1.2.0-3.fc14
Comment 7 Fedora Update System 2010-08-23 21:42:18 EDT
gpgme-1.2.0-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.